<?php
namespace Jet_Engine_Divi_Views;

use Jet_Engine_Divi_Views\Components\Jet_Engine\Component;

// Prevent direct access to the file.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Modules controller class
 */
class Components_Controller {

	protected $components_registry = [];

	/**
	 * Constructor.
	 */
	public function __construct() {
		$this->register_componets();
	}

	/**
	 * Register components
	 *
	 * @return void
	 */
	public function register_componets() {

		$components = [
			new Components\Jet_Engine\Component(),
			new Components\Jet_Smart_Filters\Component(),
		];

		foreach ( $components as $component ) {
			$this->components_registry[ $component->get_id() ] = $component;
		}
	}
}
